> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/add-affiliate-to-affiliate-referral-contract.md).

# Add Affiliate To Affiliate Referral Contract

**Affiliate API Endpoint:**

`https://explodely.com/api/v1/aff`

**Parameters:**

To add an affiliate to an affiliate referral contract on Explodely, send below parameters as POST to the affiliate API endpoint.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "addafftoaffcontract"

contractid - Explodely affiiate referral contract ID

affid - Expodely affiliate account username which will be added to the contract as referral

Responses:

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"invalid_contractid"}` - This is returned when the provided contract ID is invalid.

`{"error":"invalid_affid"}` - This is returned when the provided aff ID is invalid.

`{"error":"affid_exists"}` - This is returned when the provided aff ID already exists in one of your affiliate contracts.

`{"error":"`unauthorized\_contract\_access`"}` - This is returned when the contract ID provided does not belong to the API account.

`{"added":"ok"}` - This is returned when the affiliate has been successfully added.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/api/add-affiliate-to-affiliate-referral-contract.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
